/*
SQLyog Community v13.1.6 (64 bit)
MySQL - 10.4.13-MariaDB : Database - fest_lms
*********************************************************************
*/

/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`fest_lms` /*!40100 DEFAULT CHARACTER SET utf8mb4 */;

USE `demo`;

/*Table structure for table `admin` */

DROP TABLE IF EXISTS `admin`;

CREATE TABLE `admin` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `CREATED_DATE` datetime DEFAULT NULL,
  `LAST_UPDATED_DATE` datetime DEFAULT NULL,
  `DELETED_DATE` datetime DEFAULT NULL,
  `DELETED_REASON` varchar(255) DEFAULT NULL,
  `BLOCKED_REASON` varchar(200) DEFAULT NULL,
  `LAST_BLOCKED_DATE` datetime DEFAULT NULL,
  `LAST_UNBLOCKED_DATE` datetime DEFAULT NULL,
  `UNBLOCKED_REASON` varchar(200) DEFAULT NULL,
  `ACTIVATION_CODE_ON_PROMPT_PASSWORD` varchar(255) DEFAULT NULL,
  `IMAGE_PATH` varchar(255) DEFAULT NULL,
  `IS_ACTIVATED_ON_PROMPT_PASSWORD` bit(1) DEFAULT NULL,
  `IS_BLOCKED` bit(1) DEFAULT NULL,
  `IS_LOGGED_IN` bit(1) DEFAULT NULL,
  `IS_PROMPT_PASSWORD` bit(1) DEFAULT NULL,
  `LAST_LOGGED_IN_TIME` datetime DEFAULT NULL,
  `LAST_PASSWORD_CHANGED_DATE` datetime DEFAULT NULL,
  `PASSWORD` varchar(255) DEFAULT NULL,
  `SESSION_ID` varchar(255) DEFAULT NULL,
  `USERNAME` varchar(255) NOT NULL,
  `WRONG_PASSWORD_ATTEMPT_COUNT` int(11) DEFAULT NULL,
  `EMAIL` varchar(255) DEFAULT NULL,
  `FIRST_NAME` varchar(255) NOT NULL,
  `LAST_NAME` varchar(255) NOT NULL,
  `MIDDLE_NAME` varchar(255) DEFAULT NULL,
  `MOBILE_NUMBER` varchar(255) DEFAULT NULL,
  `PERMANENT_ADDRESS` varchar(255) DEFAULT NULL,
  `TEMPORARY_ADDRESS` varchar(255) DEFAULT NULL,
  `ATTENDANCE_CODE` int(11) NOT NULL,
  `BLOOD_GROUP` varchar(255) DEFAULT NULL,
  `CATEGORY` varchar(255) DEFAULT NULL,
  `CITIZENSHIP_NUMBER` int(11) DEFAULT NULL,
  `DATE_OF_BIRTH` datetime DEFAULT NULL,
  `DATE_OF_CONFIRMATION` datetime DEFAULT NULL,
  `EMP_CODE` int(11) DEFAULT NULL,
  `FATHER_NAME` varchar(255) DEFAULT NULL,
  `GRAND_FATHER_NAME` varchar(255) DEFAULT NULL,
  `HOME_TELEPHONE_NUMBER` bigint(20) DEFAULT NULL,
  `IS_ATTENDANCE_COMPULSORY` bit(1) DEFAULT NULL,
  `IS_COLLEGE_SUPER_ADMIN` bit(1) DEFAULT NULL,
  `IS_COORDINATOR` bit(1) DEFAULT NULL,
  `IS_DISABLED` bit(1) DEFAULT NULL,
  `IS_FULL_TIMER` bit(1) DEFAULT NULL,
  `IS_HOD` bit(1) DEFAULT NULL,
  `IS_SALAY_MONTHLY` bit(1) DEFAULT NULL,
  `IS_SUPERVISOR` bit(1) DEFAULT NULL,
  `JOINED_DATE` date DEFAULT NULL,
  `MARITAL_STATUS` varchar(255) NOT NULL,
  `MOTHER_NAME` varchar(255) DEFAULT NULL,
  `PAN_NO` int(11) NOT NULL,
  `PAN_NUMBER` varchar(255) DEFAULT NULL,
  `REMARKS` varchar(255) DEFAULT NULL,
  `SPOUSE_NAME` varchar(255) DEFAULT NULL,
  `CREATED_BY_ADMIN` bigint(20) DEFAULT NULL,
  `UPDATED_BY_ADMIN` bigint(20) DEFAULT NULL,
  `DELETED_BY_ADMIN` bigint(20) DEFAULT NULL,
  `STATUS` bigint(20) NOT NULL,
  `BLOCKED_BY_ADMIN` bigint(20) DEFAULT NULL,
  `UNBLOCKED_BY_ADMIN` bigint(20) DEFAULT NULL,
  `COLLEGE` bigint(20) DEFAULT NULL,
  `BRANCH` bigint(20) NOT NULL,
  `DEPARTMENT` bigint(20) DEFAULT NULL,
  `DESIGNATION` bigint(20) DEFAULT NULL,
  `GENDER` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_i3q55j72y2gvvrmd0q0uxb706` (`CREATED_BY_ADMIN`),
  KEY `FK_7qt8uvwmpam0a9uth33v0e6d1` (`UPDATED_BY_ADMIN`),
  KEY `FK_siarr4dmj5y129o1k8n32brqe` (`DELETED_BY_ADMIN`),
  KEY `FK_bhd593n356noujd7t7468y507` (`STATUS`),
  KEY `FK_k4c685y8929ss0jipmd60n3jh` (`BLOCKED_BY_ADMIN`),
  KEY `FK_dwi10n3l36k37ug1arm0wsxc9` (`UNBLOCKED_BY_ADMIN`),
  KEY `FK_r92m8h45l3osm8eybgx8siuq6` (`COLLEGE`),
  KEY `FK_fkvmedv4n45pnhbwm4paptytv` (`BRANCH`),
  KEY `FK_smiq9m92nvrpn9gc5bvlxo7cv` (`DEPARTMENT`),
  KEY `FK_dtgcvhwg1i7mxlrg7pjounkpi` (`DESIGNATION`),
  KEY `FK_jcsnyc95782mx030wucterhq1` (`GENDER`),
  CONSTRAINT `FK_7qt8uvwmpam0a9uth33v0e6d1` FOREIGN KEY (`UPDATED_BY_ADMIN`) REFERENCES `admin` (`ID`),
  CONSTRAINT `FK_bhd593n356noujd7t7468y507` FOREIGN KEY (`STATUS`) REFERENCES `status` (`status_id`),
  CONSTRAINT `FK_dtgcvhwg1i7mxlrg7pjounkpi` FOREIGN KEY (`DESIGNATION`) REFERENCES `designation` (`ID`),
  CONSTRAINT `FK_dwi10n3l36k37ug1arm0wsxc9` FOREIGN KEY (`UNBLOCKED_BY_ADMIN`) REFERENCES `admin` (`ID`),
  CONSTRAINT `FK_fkvmedv4n45pnhbwm4paptytv` FOREIGN KEY (`BRANCH`) REFERENCES `branch` (`branch_id`),
  CONSTRAINT `FK_i3q55j72y2gvvrmd0q0uxb706` FOREIGN KEY (`CREATED_BY_ADMIN`) REFERENCES `admin` (`ID`),
  CONSTRAINT `FK_jcsnyc95782mx030wucterhq1` FOREIGN KEY (`GENDER`) REFERENCES `gender` (`ID`),
  CONSTRAINT `FK_k4c685y8929ss0jipmd60n3jh` FOREIGN KEY (`BLOCKED_BY_ADMIN`) REFERENCES `admin` (`ID`),
  CONSTRAINT `FK_r92m8h45l3osm8eybgx8siuq6` FOREIGN KEY (`COLLEGE`) REFERENCES `college` (`ID`),
  CONSTRAINT `FK_siarr4dmj5y129o1k8n32brqe` FOREIGN KEY (`DELETED_BY_ADMIN`) REFERENCES `admin` (`ID`),
  CONSTRAINT `FK_smiq9m92nvrpn9gc5bvlxo7cv` FOREIGN KEY (`DEPARTMENT`) REFERENCES `department` (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4;

/*Data for the table `admin` */

insert  into `admin`(`ID`,`CREATED_DATE`,`LAST_UPDATED_DATE`,`DELETED_DATE`,`DELETED_REASON`,`BLOCKED_REASON`,`LAST_BLOCKED_DATE`,`LAST_UNBLOCKED_DATE`,`UNBLOCKED_REASON`,`ACTIVATION_CODE_ON_PROMPT_PASSWORD`,`IMAGE_PATH`,`IS_ACTIVATED_ON_PROMPT_PASSWORD`,`IS_BLOCKED`,`IS_LOGGED_IN`,`IS_PROMPT_PASSWORD`,`LAST_LOGGED_IN_TIME`,`LAST_PASSWORD_CHANGED_DATE`,`PASSWORD`,`SESSION_ID`,`USERNAME`,`WRONG_PASSWORD_ATTEMPT_COUNT`,`EMAIL`,`FIRST_NAME`,`LAST_NAME`,`MIDDLE_NAME`,`MOBILE_NUMBER`,`PERMANENT_ADDRESS`,`TEMPORARY_ADDRESS`,`ATTENDANCE_CODE`,`BLOOD_GROUP`,`CATEGORY`,`CITIZENSHIP_NUMBER`,`DATE_OF_BIRTH`,`DATE_OF_CONFIRMATION`,`EMP_CODE`,`FATHER_NAME`,`GRAND_FATHER_NAME`,`HOME_TELEPHONE_NUMBER`,`IS_ATTENDANCE_COMPULSORY`,`IS_COLLEGE_SUPER_ADMIN`,`IS_COORDINATOR`,`IS_DISABLED`,`IS_FULL_TIMER`,`IS_HOD`,`IS_SALAY_MONTHLY`,`IS_SUPERVISOR`,`JOINED_DATE`,`MARITAL_STATUS`,`MOTHER_NAME`,`PAN_NO`,`PAN_NUMBER`,`REMARKS`,`SPOUSE_NAME`,`CREATED_BY_ADMIN`,`UPDATED_BY_ADMIN`,`DELETED_BY_ADMIN`,`STATUS`,`BLOCKED_BY_ADMIN`,`UNBLOCKED_BY_ADMIN`,`COLLEGE`,`BRANCH`,`DEPARTMENT`,`DESIGNATION`,`GENDER`) values 
(1,'2020-09-01 15:16:53',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'','','','','2020-09-09 15:35:38','2020-09-09 15:35:41',NULL,NULL,'demo',NULL,'demo@demo.com','demo','demo',NULL,'9898989898',NULL,NULL,101,'B+','Permanent',1234,'2020-09-01 15:17:33',NULL,123,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Married',NULL,124,'1234',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,1,1,NULL,NULL,1);

/*Table structure for table `admin_copy` */

DROP TABLE IF EXISTS `admin_copy`;

CREATE TABLE `admin_copy` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `CREATED_DATE` datetime DEFAULT NULL,
  `LAST_UPDATED_DATE` datetime DEFAULT NULL,
  `DELETED_DATE` datetime DEFAULT NULL,
  `DELETED_REASON` varchar(255) DEFAULT NULL,
  `BLOCKED_REASON` varchar(200) DEFAULT NULL,
  `LAST_BLOCKED_DATE` datetime DEFAULT NULL,
  `LAST_UNBLOCKED_DATE` datetime DEFAULT NULL,
  `UNBLOCKED_REASON` varchar(200) DEFAULT NULL,
  `ACTIVATION_CODE_ON_PROMPT_PASSWORD` varchar(255) DEFAULT NULL,
  `IMAGE_PATH` varchar(255) DEFAULT NULL,
  `IS_ACTIVATED_ON_PROMPT_PASSWORD` bit(1) DEFAULT NULL,
  `IS_BLOCKED` bit(1) DEFAULT NULL,
  `IS_LOGGED_IN` bit(1) DEFAULT NULL,
  `IS_PROMPT_PASSWORD` bit(1) DEFAULT NULL,
  `LAST_LOGGED_IN_TIME` datetime DEFAULT NULL,
  `LAST_PASSWORD_CHANGED_DATE` datetime DEFAULT NULL,
  `PASSWORD` varchar(255) DEFAULT NULL,
  `SESSION_ID` varchar(255) DEFAULT NULL,
  `USERNAME` varchar(255) NOT NULL,
  `WRONG_PASSWORD_ATTEMPT_COUNT` int(11) DEFAULT NULL,
  `EMAIL` varchar(255) DEFAULT NULL,
  `FIRST_NAME` varchar(255) NOT NULL,
  `LAST_NAME` varchar(255) NOT NULL,
  `MIDDLE_NAME` varchar(255) DEFAULT NULL,
  `MOBILE_NUMBER` varchar(255) DEFAULT NULL,
  `PERMANENT_ADDRESS` varchar(255) DEFAULT NULL,
  `TEMPORARY_ADDRESS` varchar(255) DEFAULT NULL,
  `ATTENDANCE_CODE` int(11) NOT NULL,
  `BLOOD_GROUP` varchar(255) DEFAULT NULL,
  `CATEGORY` varchar(255) DEFAULT NULL,
  `CITIZENSHIP_NUMBER` int(11) DEFAULT NULL,
  `DATE_OF_BIRTH` datetime DEFAULT NULL,
  `DATE_OF_CONFIRMATION` datetime DEFAULT NULL,
  `EMP_CODE` int(11) DEFAULT NULL,
  `FATHER_NAME` varchar(255) DEFAULT NULL,
  `GRAND_FATHER_NAME` varchar(255) DEFAULT NULL,
  `HOME_TELEPHONE_NUMBER` bigint(20) DEFAULT NULL,
  `IS_ATTENDANCE_COMPULSORY` bit(1) DEFAULT NULL,
  `IS_COLLEGE_SUPER_ADMIN` bit(1) DEFAULT NULL,
  `IS_COORDINATOR` bit(1) DEFAULT NULL,
  `IS_DISABLED` bit(1) DEFAULT NULL,
  `IS_FULL_TIMER` bit(1) DEFAULT NULL,
  `IS_HOD` bit(1) DEFAULT NULL,
  `IS_SALAY_MONTHLY` bit(1) DEFAULT NULL,
  `IS_SUPERVISOR` bit(1) DEFAULT NULL,
  `JOINED_DATE` date DEFAULT NULL,
  `MARITAL_STATUS` varchar(255) NOT NULL,
  `MOTHER_NAME` varchar(255) DEFAULT NULL,
  `PAN_NO` int(11) NOT NULL,
  `PAN_NUMBER` varchar(255) DEFAULT NULL,
  `REMARKS` varchar(255) DEFAULT NULL,
  `SPOUSE_NAME` varchar(255) DEFAULT NULL,
  `CREATED_BY_ADMIN` bigint(20) DEFAULT NULL,
  `UPDATED_BY_ADMIN` bigint(20) DEFAULT NULL,
  `DELETED_BY_ADMIN` bigint(20) DEFAULT NULL,
  `STATUS` bigint(20) NOT NULL,
  `BLOCKED_BY_ADMIN` bigint(20) DEFAULT NULL,
  `UNBLOCKED_BY_ADMIN` bigint(20) DEFAULT NULL,
  `COLLEGE` bigint(20) DEFAULT NULL,
  `BRANCH` bigint(20) NOT NULL,
  `DEPARTMENT` bigint(20) DEFAULT NULL,
  `DESIGNATION` bigint(20) DEFAULT NULL,
  `GENDER` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_i3q55j72y2gvvrmd0q0uxb706` (`CREATED_BY_ADMIN`),
  KEY `FK_7qt8uvwmpam0a9uth33v0e6d1` (`UPDATED_BY_ADMIN`),
  KEY `FK_siarr4dmj5y129o1k8n32brqe` (`DELETED_BY_ADMIN`),
  KEY `FK_bhd593n356noujd7t7468y507` (`STATUS`),
  KEY `FK_k4c685y8929ss0jipmd60n3jh` (`BLOCKED_BY_ADMIN`),
  KEY `FK_dwi10n3l36k37ug1arm0wsxc9` (`UNBLOCKED_BY_ADMIN`),
  KEY `FK_r92m8h45l3osm8eybgx8siuq6` (`COLLEGE`),
  KEY `FK_fkvmedv4n45pnhbwm4paptytv` (`BRANCH`),
  KEY `FK_smiq9m92nvrpn9gc5bvlxo7cv` (`DEPARTMENT`),
  KEY `FK_dtgcvhwg1i7mxlrg7pjounkpi` (`DESIGNATION`),
  KEY `FK_jcsnyc95782mx030wucterhq1` (`GENDER`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4;

/*Data for the table `admin_copy` */

insert  into `admin_copy`(`ID`,`CREATED_DATE`,`LAST_UPDATED_DATE`,`DELETED_DATE`,`DELETED_REASON`,`BLOCKED_REASON`,`LAST_BLOCKED_DATE`,`LAST_UNBLOCKED_DATE`,`UNBLOCKED_REASON`,`ACTIVATION_CODE_ON_PROMPT_PASSWORD`,`IMAGE_PATH`,`IS_ACTIVATED_ON_PROMPT_PASSWORD`,`IS_BLOCKED`,`IS_LOGGED_IN`,`IS_PROMPT_PASSWORD`,`LAST_LOGGED_IN_TIME`,`LAST_PASSWORD_CHANGED_DATE`,`PASSWORD`,`SESSION_ID`,`USERNAME`,`WRONG_PASSWORD_ATTEMPT_COUNT`,`EMAIL`,`FIRST_NAME`,`LAST_NAME`,`MIDDLE_NAME`,`MOBILE_NUMBER`,`PERMANENT_ADDRESS`,`TEMPORARY_ADDRESS`,`ATTENDANCE_CODE`,`BLOOD_GROUP`,`CATEGORY`,`CITIZENSHIP_NUMBER`,`DATE_OF_BIRTH`,`DATE_OF_CONFIRMATION`,`EMP_CODE`,`FATHER_NAME`,`GRAND_FATHER_NAME`,`HOME_TELEPHONE_NUMBER`,`IS_ATTENDANCE_COMPULSORY`,`IS_COLLEGE_SUPER_ADMIN`,`IS_COORDINATOR`,`IS_DISABLED`,`IS_FULL_TIMER`,`IS_HOD`,`IS_SALAY_MONTHLY`,`IS_SUPERVISOR`,`JOINED_DATE`,`MARITAL_STATUS`,`MOTHER_NAME`,`PAN_NO`,`PAN_NUMBER`,`REMARKS`,`SPOUSE_NAME`,`CREATED_BY_ADMIN`,`UPDATED_BY_ADMIN`,`DELETED_BY_ADMIN`,`STATUS`,`BLOCKED_BY_ADMIN`,`UNBLOCKED_BY_ADMIN`,`COLLEGE`,`BRANCH`,`DEPARTMENT`,`DESIGNATION`,`GENDER`) values 
(1,'2020-09-01 15:16:53',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'demo',NULL,'demo@demo.com','demo','demo',NULL,'9898989898',NULL,NULL,101,'B+','Permanent',1234,'2020-09-01 15:17:33',NULL,123,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'Married',NULL,124,'1234',NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,NULL,1,NULL,NULL,1);

/*Table structure for table `admin_profile` */

DROP TABLE IF EXISTS `admin_profile`;

CREATE TABLE `admin_profile` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `CREATED_DATE` datetime DEFAULT NULL,
  `LAST_UPDATED_DATE` datetime DEFAULT NULL,
  `DELETED_DATE` datetime DEFAULT NULL,
  `DELETED_REASON` varchar(255) DEFAULT NULL,
  `DESCRIPTION` longtext DEFAULT NULL,
  `NAME` varchar(255) NOT NULL,
  `CREATED_BY_ADMIN` bigint(20) DEFAULT NULL,
  `UPDATED_BY_ADMIN` bigint(20) DEFAULT NULL,
  `DELETED_BY_ADMIN` bigint(20) DEFAULT NULL,
  `STATUS` bigint(20) NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_8ikpqenema70onqsmhjs334q6` (`CREATED_BY_ADMIN`),
  KEY `FK_4qj9u4jsw7q2a9cciv9pnsu1o` (`UPDATED_BY_ADMIN`),
  KEY `FK_ljvg56f9tl1f1a5774jh9mey` (`DELETED_BY_ADMIN`),
  KEY `FK_6cy0ew02xwhl7c3klfu8ju4sq` (`STATUS`),
  CONSTRAINT `FK_4qj9u4jsw7q2a9cciv9pnsu1o` FOREIGN KEY (`UPDATED_BY_ADMIN`) REFERENCES `admin` (`ID`),
  CONSTRAINT `FK_6cy0ew02xwhl7c3klfu8ju4sq` FOREIGN KEY (`STATUS`) REFERENCES `status` (`status_id`),
  CONSTRAINT `FK_8ikpqenema70onqsmhjs334q6` FOREIGN KEY (`CREATED_BY_ADMIN`) REFERENCES `admin` (`ID`),
  CONSTRAINT `FK_ljvg56f9tl1f1a5774jh9mey` FOREIGN KEY (`DELETED_BY_ADMIN`) REFERENCES `admin` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

/*Data for the table `admin_profile` */

/*Table structure for table `admin_profile_role_map` */

DROP TABLE IF EXISTS `admin_profile_role_map`;

CREATE TABLE `admin_profile_role_map` (
  `admin_profile_role_map_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `isActive` bit(1) DEFAULT NULL,
  `admin_profile_id` bigint(20) NOT NULL,
  `admin_role_id` bigint(20) NOT NULL,
  PRIMARY KEY (`admin_profile_role_map_id`),
  KEY `FK_269qunj8ps8vjwpqdkqtu3vpk` (`admin_profile_id`),
  KEY `FK_bu08kkl3e5g5hk9efpmj3cjhx` (`admin_role_id`),
  CONSTRAINT `FK_269qunj8ps8vjwpqdkqtu3vpk` FOREIGN KEY (`admin_profile_id`) REFERENCES `admin_profile` (`ID`),
  CONSTRAINT `FK_bu08kkl3e5g5hk9efpmj3cjhx` FOREIGN KEY (`admin_role_id`) REFERENCES `admin_role` (`admin_role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

/*Data for the table `admin_profile_role_map` */

/*Table structure for table `admin_role` */

DROP TABLE IF EXISTS `admin_role`;

CREATE TABLE `admin_role` (
  `admin_role_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `admin_role_desc` varchar(100) NOT NULL,
  `admin_role_name` varchar(100) NOT NULL,
  `child_role_id` varchar(45) DEFAULT NULL,
  `navigation` varchar(100) DEFAULT NULL,
  `order_id` int(11) DEFAULT NULL,
  `ui_role_name` varchar(100) DEFAULT NULL,
  `admin_parent_role_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`admin_role_id`),
  KEY `FK_iofxaf832k1se1c6c3wsohwpd` (`admin_parent_role_id`),
  CONSTRAINT `FK_iofxaf832k1se1c6c3wsohwpd` FOREIGN KEY (`admin_parent_role_id`) REFERENCES `admin_role` (`admin_role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

/*Data for the table `admin_role` */

/*Table structure for table `branch` */

DROP TABLE IF EXISTS `branch`;

CREATE TABLE `branch` (
  `branch_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `branch_address` varchar(45) NOT NULL,
  `branch_code` varchar(45) DEFAULT NULL,
  `branch_established_date` date DEFAULT NULL,
  `branch_manager` varchar(45) DEFAULT NULL,
  `branch_name` varchar(45) NOT NULL,
  `is_main_branch` bit(1) NOT NULL,
  `COLLEGE` bigint(20) DEFAULT NULL,
  `branch_status` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`branch_id`),
  KEY `FK_jcge1hhrt71xawvx8gs157667` (`COLLEGE`),
  KEY `FK_m402lpj18p76h7bi9d2nm58yu` (`branch_status`),
  CONSTRAINT `FK_jcge1hhrt71xawvx8gs157667` FOREIGN KEY (`COLLEGE`) REFERENCES `college` (`ID`),
  CONSTRAINT `FK_m402lpj18p76h7bi9d2nm58yu` FOREIGN KEY (`branch_status`) REFERENCES `status` (`status_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4;

/*Data for the table `branch` */

insert  into `branch`(`branch_id`,`branch_address`,`branch_code`,`branch_established_date`,`branch_manager`,`branch_name`,`is_main_branch`,`COLLEGE`,`branch_status`) values 
(1,'ktm','101',NULL,'Ram Gopal Barma','SUNRISE_KATHMANDU','',NULL,1);

/*Table structure for table `college` */

DROP TABLE IF EXISTS `college`;

CREATE TABLE `college` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `CREATED_DATE` datetime DEFAULT NULL,
  `LAST_UPDATED_DATE` datetime DEFAULT NULL,
  `DELETED_DATE` datetime DEFAULT NULL,
  `DELETED_REASON` varchar(255) DEFAULT NULL,
  `BLOCKED_REASON` varchar(200) DEFAULT NULL,
  `LAST_BLOCKED_DATE` datetime DEFAULT NULL,
  `LAST_UNBLOCKED_DATE` datetime DEFAULT NULL,
  `UNBLOCKED_REASON` varchar(200) DEFAULT NULL,
  `ADDRESS` varchar(255) NOT NULL,
  `CODE` varchar(255) NOT NULL,
  `COLLEGE_LOGO_PATH` varchar(255) NOT NULL,
  `CONTACT` varchar(255) NOT NULL,
  `EMAIL` varchar(255) NOT NULL,
  `ESTABLISHED_YEAR` int(11) NOT NULL,
  `NAME` varchar(255) NOT NULL,
  `CREATED_BY_ADMIN` bigint(20) DEFAULT NULL,
  `UPDATED_BY_ADMIN` bigint(20) DEFAULT NULL,
  `DELETED_BY_ADMIN` bigint(20) DEFAULT NULL,
  `STATUS` bigint(20) NOT NULL,
  `BLOCKED_BY_ADMIN` bigint(20) DEFAULT NULL,
  `UNBLOCKED_BY_ADMIN` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_dw1egh727yv8wbfn4vl6v6cpv` (`CREATED_BY_ADMIN`),
  KEY `FK_4p80xmjf1mvl99b7k6uywcn5p` (`UPDATED_BY_ADMIN`),
  KEY `FK_gs4ybmx3onu9rbqxxhm315s10` (`DELETED_BY_ADMIN`),
  KEY `FK_q57d5c44cr2ghx3dtrj5me6ib` (`STATUS`),
  KEY `FK_dduh4iaeop2teydd1cacclhne` (`BLOCKED_BY_ADMIN`),
  KEY `FK_6qbc3k5tr7etqqijew4ryf0y4` (`UNBLOCKED_BY_ADMIN`),
  CONSTRAINT `FK_4p80xmjf1mvl99b7k6uywcn5p` FOREIGN KEY (`UPDATED_BY_ADMIN`) REFERENCES `admin` (`ID`),
  CONSTRAINT `FK_6qbc3k5tr7etqqijew4ryf0y4` FOREIGN KEY (`UNBLOCKED_BY_ADMIN`) REFERENCES `admin` (`ID`),
  CONSTRAINT `FK_dduh4iaeop2teydd1cacclhne` FOREIGN KEY (`BLOCKED_BY_ADMIN`) REFERENCES `admin` (`ID`),
  CONSTRAINT `FK_dw1egh727yv8wbfn4vl6v6cpv` FOREIGN KEY (`CREATED_BY_ADMIN`) REFERENCES `admin` (`ID`),
  CONSTRAINT `FK_gs4ybmx3onu9rbqxxhm315s10` FOREIGN KEY (`DELETED_BY_ADMIN`) REFERENCES `admin` (`ID`),
  CONSTRAINT `FK_q57d5c44cr2ghx3dtrj5me6ib` FOREIGN KEY (`STATUS`) REFERENCES `status` (`status_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4;

/*Data for the table `college` */

insert  into `college`(`ID`,`CREATED_DATE`,`LAST_UPDATED_DATE`,`DELETED_DATE`,`DELETED_REASON`,`BLOCKED_REASON`,`LAST_BLOCKED_DATE`,`LAST_UNBLOCKED_DATE`,`UNBLOCKED_REASON`,`ADDRESS`,`CODE`,`COLLEGE_LOGO_PATH`,`CONTACT`,`EMAIL`,`ESTABLISHED_YEAR`,`NAME`,`CREATED_BY_ADMIN`,`UPDATED_BY_ADMIN`,`DELETED_BY_ADMIN`,`STATUS`,`BLOCKED_BY_ADMIN`,`UNBLOCKED_BY_ADMIN`) values 
(1,'2020-09-09 15:37:20',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'','demo','','','demo@demo.com',1994,'demo',NULL,NULL,NULL,1,NULL,NULL);

/*Table structure for table `department` */

DROP TABLE IF EXISTS `department`;

CREATE TABLE `department` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `CREATED_DATE` datetime DEFAULT NULL,
  `LAST_UPDATED_DATE` datetime DEFAULT NULL,
  `DELETED_DATE` datetime DEFAULT NULL,
  `DELETED_REASON` varchar(255) DEFAULT NULL,
  `DESCRIPTION` longtext DEFAULT NULL,
  `NAME` varchar(255) NOT NULL,
  `CODE` varchar(255) DEFAULT NULL,
  `CREATED_BY_ADMIN` bigint(20) DEFAULT NULL,
  `UPDATED_BY_ADMIN` bigint(20) DEFAULT NULL,
  `DELETED_BY_ADMIN` bigint(20) DEFAULT NULL,
  `STATUS` bigint(20) NOT NULL,
  `BRANCH` bigint(20) NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_cho5su7k4ilrv3cpvxhbuwf78` (`CREATED_BY_ADMIN`),
  KEY `FK_5oblh4o5xqqo3ggy0v737derg` (`UPDATED_BY_ADMIN`),
  KEY `FK_cwfcxewlxblfm0vvlrtec5wc2` (`DELETED_BY_ADMIN`),
  KEY `FK_r050slpkqdjtr7pp3nvopxksi` (`STATUS`),
  KEY `FK_i4uoll0eenv7n1nygyv51l454` (`BRANCH`),
  CONSTRAINT `FK_5oblh4o5xqqo3ggy0v737derg` FOREIGN KEY (`UPDATED_BY_ADMIN`) REFERENCES `admin` (`ID`),
  CONSTRAINT `FK_cho5su7k4ilrv3cpvxhbuwf78` FOREIGN KEY (`CREATED_BY_ADMIN`) REFERENCES `admin` (`ID`),
  CONSTRAINT `FK_cwfcxewlxblfm0vvlrtec5wc2` FOREIGN KEY (`DELETED_BY_ADMIN`) REFERENCES `admin` (`ID`),
  CONSTRAINT `FK_i4uoll0eenv7n1nygyv51l454` FOREIGN KEY (`BRANCH`) REFERENCES `branch` (`branch_id`),
  CONSTRAINT `FK_r050slpkqdjtr7pp3nvopxksi` FOREIGN KEY (`STATUS`) REFERENCES `status` (`status_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4;

/*Data for the table `department` */

insert  into `department`(`ID`,`CREATED_DATE`,`LAST_UPDATED_DATE`,`DELETED_DATE`,`DELETED_REASON`,`DESCRIPTION`,`NAME`,`CODE`,`CREATED_BY_ADMIN`,`UPDATED_BY_ADMIN`,`DELETED_BY_ADMIN`,`STATUS`,`BRANCH`) values 
(1,'2020-09-09 15:35:54','2020-09-09 15:38:19',NULL,NULL,'test1','A','Account',1,1,NULL,2,1);

/*Table structure for table `designation` */

DROP TABLE IF EXISTS `designation`;

CREATE TABLE `designation` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `CREATED_DATE` datetime DEFAULT NULL,
  `LAST_UPDATED_DATE` datetime DEFAULT NULL,
  `DELETED_DATE` datetime DEFAULT NULL,
  `DELETED_REASON` varchar(255) DEFAULT NULL,
  `DESCRIPTION` longtext DEFAULT NULL,
  `NAME` varchar(255) NOT NULL,
  `CODE` varchar(255) DEFAULT NULL,
  `BASIC_SALARY` int(11) NOT NULL,
  `GRADE` int(11) DEFAULT NULL,
  `CREATED_BY_ADMIN` bigint(20) DEFAULT NULL,
  `UPDATED_BY_ADMIN` bigint(20) DEFAULT NULL,
  `DELETED_BY_ADMIN` bigint(20) DEFAULT NULL,
  `STATUS` bigint(20) NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_fbbwp90ba06or6109jg9f1irj` (`CREATED_BY_ADMIN`),
  KEY `FK_qseb9ver4iwncuskld4hbt64u` (`UPDATED_BY_ADMIN`),
  KEY `FK_tp6b7ruxbwxs69kjf8oap1enh` (`DELETED_BY_ADMIN`),
  KEY `FK_jndqwe0v8ic7hpkg4bvb0aceh` (`STATUS`),
  CONSTRAINT `FK_fbbwp90ba06or6109jg9f1irj` FOREIGN KEY (`CREATED_BY_ADMIN`) REFERENCES `admin` (`ID`),
  CONSTRAINT `FK_jndqwe0v8ic7hpkg4bvb0aceh` FOREIGN KEY (`STATUS`) REFERENCES `status` (`status_id`),
  CONSTRAINT `FK_qseb9ver4iwncuskld4hbt64u` FOREIGN KEY (`UPDATED_BY_ADMIN`) REFERENCES `admin` (`ID`),
  CONSTRAINT `FK_tp6b7ruxbwxs69kjf8oap1enh` FOREIGN KEY (`DELETED_BY_ADMIN`) REFERENCES `admin` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

/*Data for the table `designation` */

/*Table structure for table `district` */

DROP TABLE IF EXISTS `district`;

CREATE TABLE `district` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `NAME` varchar(255) NOT NULL,
  `PROVINCE` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_mde3qg1my3eymwylnkv8d80e3` (`PROVINCE`),
  CONSTRAINT `FK_mde3qg1my3eymwylnkv8d80e3` FOREIGN KEY (`PROVINCE`) REFERENCES `province` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

/*Data for the table `district` */

/*Table structure for table `ethnicity` */

DROP TABLE IF EXISTS `ethnicity`;

CREATE TABLE `ethnicity` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `CREATED_DATE` datetime DEFAULT NULL,
  `LAST_UPDATED_DATE` datetime DEFAULT NULL,
  `DELETED_DATE` datetime DEFAULT NULL,
  `DELETED_REASON` varchar(255) DEFAULT NULL,
  `DESCRIPTION` longtext DEFAULT NULL,
  `NAME` varchar(255) NOT NULL,
  `CREATED_BY_ADMIN` bigint(20) DEFAULT NULL,
  `UPDATED_BY_ADMIN` bigint(20) DEFAULT NULL,
  `DELETED_BY_ADMIN` bigint(20) DEFAULT NULL,
  `STATUS` bigint(20) NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_pb5bkoebbuwj6m39gaea3taqy` (`CREATED_BY_ADMIN`),
  KEY `FK_hlcs1gykevkuwkw88ckot9heg` (`UPDATED_BY_ADMIN`),
  KEY `FK_5b020fmh41h97k3ll6ppf9ptw` (`DELETED_BY_ADMIN`),
  KEY `FK_ftd1sl7d6746g22gijvusyjk7` (`STATUS`),
  CONSTRAINT `FK_5b020fmh41h97k3ll6ppf9ptw` FOREIGN KEY (`DELETED_BY_ADMIN`) REFERENCES `admin` (`ID`),
  CONSTRAINT `FK_ftd1sl7d6746g22gijvusyjk7` FOREIGN KEY (`STATUS`) REFERENCES `status` (`status_id`),
  CONSTRAINT `FK_hlcs1gykevkuwkw88ckot9heg` FOREIGN KEY (`UPDATED_BY_ADMIN`) REFERENCES `admin` (`ID`),
  CONSTRAINT `FK_pb5bkoebbuwj6m39gaea3taqy` FOREIGN KEY (`CREATED_BY_ADMIN`) REFERENCES `admin` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

/*Data for the table `ethnicity` */

/*Table structure for table `gender` */

DROP TABLE IF EXISTS `gender`;

CREATE TABLE `gender` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `NAME` varchar(255) NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4;

/*Data for the table `gender` */

insert  into `gender`(`ID`,`NAME`) values 
(1,'Male'),
(2,'Female');

/*Table structure for table `province` */

DROP TABLE IF EXISTS `province`;

CREATE TABLE `province` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `NAME` varchar(255) NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

/*Data for the table `province` */

/*Table structure for table `status` */

DROP TABLE IF EXISTS `status`;

CREATE TABLE `status` (
  `status_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `ICON` varchar(45) DEFAULT NULL,
  `NAME` varchar(255) NOT NULL,
  `status_desc` varchar(45) NOT NULL,
  PRIMARY KEY (`status_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4;

/*Data for the table `status` */

insert  into `status`(`status_id`,`ICON`,`NAME`,`status_desc`) values 
(1,NULL,'CREATE_APPROVE','CREATE_APPROVE'),
(2,NULL,'EDIT_APPROVE','EDIT_APPROVE');

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
